Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class CommonExceptionReply

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.MessageAgent
                  |
                  +--com.jxml.qare.qhome.CommonExceptionReply

All Implemented Interfaces:
  Item

public class CommonExceptionReply
extends MessageAgent

This class handles all the exceptions generated at the time of reply.

Inner Class Summary
`class` | `CommonExceptionReply.CommonExceptionTemplate` This class provides the functionality for processing the templates

Field Summary
`String` | `exceptionName`
`String` | `exceptionTrace`

Fields inherited from class com.jxml.qare.qhome.MessageAgent
`inbox, orginatingSession, sourceESDO`

Constructor Summary
`CommonExceptionReply()`
`CommonExceptionReply(Exception e)`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Puts the template name into properties.
`String` | `getAction()` Returns the action defined by this message.
`QSchemaFactory` | `getFactory()` Returns the reply schema(predefined format of data).
`void` | `process(DBSession.Row qSession, QAppPlugin qapp)` This method is overidden by classes which use the process/reply logic.
`String` | `toString()`

Methods inherited from class com.jxml.qare.qhome.MessageAgent
`lastSend, lastSend, send, send, send, send, send, send, send, signed, timeout`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exceptionName

    public String exceptionName

### exceptionTrace

    public String exceptionTrace

Constructor Detail

### CommonExceptionReply

    public CommonExceptionReply()

### CommonExceptionReply

    public CommonExceptionReply(Exception e)
                         throws UnsupportedEncodingException

Method Detail

### getAction

    public String getAction()

  Returns the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFactory

    public QSchemaFactory getFactory()

  Returns the reply schema(predefined format of data).
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession,
                        QAppPlugin qapp)
                 throws Exception

  Description copied from class: `MessageAgent`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `process` in class `MessageAgent`

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Puts the template name into properties.
  Overrides:
    `eval` in class `SDO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD